/*
 * ATTINY2313_Taktgenerator.c
 *
 * Created: 13.10.2013 09:05:13
 *  Author: Dieter
 */ 


#include <avr/io.h>
#include <avr/interrupt.h>

#define F_CPU  16384000UL														// Definition der Frequenz, ist ggf. im makefile


int main(void)
{
	
	DDRB   |=  (1 << PB0);														// Meldeport an Steuer-Prozessor auf Ausgang	
	DDRD   &= ~(1 << PD6);														// Motor-Ready von Polygon-Einheit  
	DDRD   |=  (1 << PD5);														// PWM-Ausgang

	
	TCCR0A = (1 << COM0B0) | (1 << COM0B1) |									// Set OC0B on Compare Match (OCR0B), clear on TOP (OCR0A)
			 (1 << WGM00 ) | (1 << WGM01 ) ;									// Fast PWM mit OCR0A = TOP
	TCCR0B = (1 << WGM02 );

	OCR0A  = 0x11;																// TOP = 17 (zhlt von 0 bis 17 = 18 Takte)
	OCR0B  = 0x00;																// Ab 0 wird das Ausgabe-Bit gesetzt
		
	TCCR0B |= (1 << CS00);														// Takt = CLK/1 (kein Prescaler), start PWM

	
	
    while(1)
    {	
		if( PIND & (1 << PD6) )
			PORTB &= ~(1 << PB0);
		else
			PORTB |=  (1 << PB0);			
	}
}